import request from '@/utils/request'

// 查询自动打标签的规则(主要是 群)列表
export function listAutoTagsRules(query) {
  return request({
    url: '/qw/autoTagsRules/list',
    method: 'get',
    params: query
  })
}

// 查询自动打标签的规则(主要是 群)详细
export function getAutoTagsRules(id) {
  return request({
    url: '/qw/autoTagsRules/' + id,
    method: 'get'
  })
}

// 新增自动打标签的规则(主要是 群)
export function addAutoTagsRules(data) {
  return request({
    url: '/qw/autoTagsRules',
    method: 'post',
    data: data
  })
}

// 修改自动打标签的规则(主要是 群)
export function updateAutoTagsRules(data) {
  return request({
    url: '/qw/autoTagsRules',
    method: 'put',
    data: data
  })
}

// 删除自动打标签的规则(主要是 群)
export function delAutoTagsRules(id) {
  return request({
    url: '/qw/autoTagsRules/' + id,
    method: 'delete'
  })
}

// 导出自动打标签的规则(主要是 群)
export function exportAutoTagsRules(query) {
  return request({
    url: '/qw/autoTagsRules/export',
    method: 'get',
    params: query
  })
}
